import { get, post, download } from '../http'

const incident = {

// {
//   "pageSize": 10,
//   "pageNo": 1,
//   "pageVo": {
//     "criteria": "test"
//   }
// }
  fetchErrorPages(data) {
    return post('error/table/pages', data)
  },
  getConnectivityTabs() {
    return get('charger-connectivity/notification')
  },
  getConnectivityPages(data) {
    return post('charger-connectivity/pages', data)
  },
  viewConnectivityInfo(data) {
    return post('charger-connectivity/view/pages', data)
  },
  exportConnectivity(data) {
    return download('charger-connectivity/export', data)
  },
  downloadLog() {
    return download('base/download/log')
  }
}

export default incident;